import styles from './index.less';
import empty from '@common/images/empty.png';


const Empty = (props) => {
  const {message} = props;
  return (
      <div className={styles.empty}>
          <img src={empty} alt="暂无数据"/>
          <p>{message}</p>
      </div>
  )
}

export default Empty;