import PropTypes from "prop-types"
import {filterDataArr} from '@utils/tools'
import style from "../index.less"

const DesItem = (props) => {
  const {preview} = props;
  return (
      <div>
          <p className={style.wrapperDes} title={'主诉：'+filterDataArr(JSON.parse(preview.chief))}>主诉：
              {
                  filterDataArr(JSON.parse(preview.chief))
              }
          </p>
          <p className={style.wrapperDes} title={'现病史：'+filterDataArr(JSON.parse(preview.present))}>现病史：
              {
                  filterDataArr(JSON.parse(preview.present))
              }
          </p>
          <p className={style.wrapperDes} title={'其它史：'+filterDataArr(JSON.parse(preview.other))}>其它史：
              {
                  filterDataArr(JSON.parse(preview.other))
              }
          </p>
          <p className={style.wrapperDes} title={'查体：'+filterDataArr(JSON.parse(preview.vital))}>查体：
              {
                  filterDataArr(JSON.parse(preview.vital))
              }
          </p>
          <p className={style.wrapperDes} title={'检验：'+preview.lis}>检验：{preview.lis}</p>
          <p className={style.wrapperDes} title={'检查：'+preview.pacs}>检查：{preview.pacs}</p>
          <p className={style.wrapperDes} title={'诊断：'+preview.diag}>诊断：{preview.diag}</p>
          <p className={style.wrapperDes} title={'医嘱：'+preview.advice}>医嘱：{preview.advice}</p>
      </div>
  )
}
export default DesItem;

DesItem.propTypes={
    des:PropTypes.string
};