export default {
    defaultValue:{      //默认配置
      0:2,     //0为智能模式，1为非智能模式（主诉现病史其他史只自由文本输入），2为自由模式（主诉到查体都是自由文本，右侧为嵌入页面推送）
      1:0,    //一般情况默认值，1开启，0关闭
      2:0,    //其他史默认值，1开启，0关闭
      3:0,    //字体大小：1增大，0标准
      4:0,    //字体颜色：1增黑，0标准
    },
    moduleCP:{//使用type
      '1':'mainSuit',          //主诉
      '2':'current',           //现病史
      '3':'otherHisModel',     //其他史
      '4':'checkbody',         //查体
      '5':'assay',             //检验
      '6':'assistCheck',        //检查
      '22':'currentEmpty',      //现病史空模板
      '31':'addSymptom',        //主诉子模板--添加病情变化
      '32':'process',           //现病史子模板--病程变化
      '322':'currentEmptySon',  //现病史-空模板-子模板
    },
    preIcss:{       //预问诊
      deadline:-1,            //int,获取预问诊内容的时效，默认-1,后台筛选15天内的，其它数值则按该数值天数筛选
      recordIdVal:-1,     //int,获取预问诊的inquiryCode入参，默认为-1即从url上获取recordId的值，非-1则使用该配置的值
    },
    // textId:'text',        //自由文本标签的id,
    textLabel:'{"tagType":"8","id":"","name":""}',
    _textLabel:'{"tagType":"8","id":"","name":"，"}',//查体每个标签后面加逗号（1-29/改成中文逗号3-18）
    tagType:"8",
    // tongYId:7,      //主诉通用特征描述id
    limited:30,    //主诉限制字数
    limitText:"已超过30字符(含标点)，请修改主诉",    //主诉限制提示
    delayTime:500,      //延迟搜索的时间
    delayPushTime:1000,    //延迟推送时间
    pushDelay:1000,
    punctuationReg:/[^,，.。:："“？?”；;、!！]/g,       //正则表达式，全局查找不是括号内标点的字符
    punReg:/[,，.。:："“？?”；;、!！]+/g,
    currentText:"患者XX因XX诊断为(**)，经XX治疗后，目前XX症状已缓解，仍有XX，各项指标情况：XX，辅助检查：XX。今来复诊，进一步治疗",
    chartDismen:'year',   //评估图表默认维度：近1年year，近6个月sixMonth,近1个月month,近1周week
    chartSymbols:['emptyCircle' , 'rect', 'arrow', 'triangle', 'diamond','circle', 'pin', 'roundRect'],
    chartColors:['#E84C47','#B947E8', '#47B0E8', '#4774E8', '#6C4EF9','#63DEC2', '#DDD81D','#EF592B'],
    showCheckNum:22,        //查体默认展开非自由文本标签的个数
    radioOptionPer:'（）',     //单选项输入占位符
    textReg:new RegExp("([\u4E00-\uFA29]|[\uE7C7-\uE7F3]|[a-zA-Z0-9])"), //包含中英文或数字
    slideTime:400,      //右侧指标推送展开/收起动画时间
    recoverTagNum:3,    //可回退标签的个数
    regPreAndAft:/[^\u4e00-\u9fa5|0-9|a-z|A-Z|Ⅰ|Ⅱ|Ⅲ|Ⅳ|Ⅴ|Ⅵ|Ⅶ|Ⅷ|Ⅸ|Ⅹ]+$|^[^\u4e00-\u9fa5|0-9|a-z|A-Z|Ⅰ|Ⅱ|Ⅲ|Ⅳ|Ⅴ|Ⅵ|Ⅶ|Ⅷ|Ⅸ|Ⅹ]+/g,  //搜索去掉前后的标点
    ruleTypeMap:{     //大数据推送参数featureType对应
      '22':'1,2,6',
      '11':'3',
      '8':'4,5'
    }
};