import {HISTORYID, HISTORY_TEMPLATES, HISTORY_TEMPLATES_SORT, HISTORY_INIT, HISTORY_ACTIVE, HISTORY_VISIBLE, HISTORY_UPDATEBYIDUSNAMES, HISTORY_GETHOSPITALINFO } from '@store/types/historyTemplates';

export const showHistory=(bool) => ({   //显示隐藏历史病历
    type:HISTORY_TEMPLATES,
    bool
});
export const sortHistory=() => ({   //排序历史病历
    type:HISTORY_TEMPLATES_SORT
});
export const initHistory=(data) => ({   //初始化历史病历
    type:HISTORY_INIT,
    data
});
export const activeHistory=(idx) => ({   //历史病历预览
    type:HISTORY_ACTIVE,
    idx
});
export const visibleHistory=(bool) => ({   //历史病历弹窗
    type:HISTORY_VISIBLE,
    bool
});

export const updateByIdUsNamesHistory = () => ({   //修改病历名称
    type: HISTORY_UPDATEBYIDUSNAMES,
});
export const saveHistoryId = (id) => ({   //修改病历名称
    type: HISTORYID,
    id
});


// export const getInitHospitalInfo = (val) => ({   //获取医院信息
//     type: HISTORY_GETHOSPITALINFO,
//     val
// });