import React, { Component } from 'react';
import style from "../index.less";
class MedicalAdvice extends Component {
  constructor(props) {
    super(props);
    this.state = {  }
  }
  render() { 
    const {advice} = this.props
    // console.log(advice,'===========');
    const {labelListBig,labelListSmall,labelListBlood} = advice
    // console.log(advice, 'advice');
    return ( 
        <tr className={style['patInfoFst']}>
          <td className={style['patInfoSec']}>医嘱：</td>
          <td className={style['patInfoSec']}>
            <table style={style.assistTable}>
              {
              labelListBig && labelListBig.map((item,index)=>{
                return (
                  <tr>
                    <td className={style.adviceTableTdFst}>{item.uniqueName}</td>
                    
                    <td className={style.assistTableTdTrd}>药品</td>
                    <td className={style.assistTableTdSec}>{item.form}</td>
                    <td className={style.assistTableTdSec}>{item.value}</td>
                    <td className={style.assistTableTdFor}>{item.time}</td>
                  </tr>
                )
              })
              }
              {
              labelListSmall && labelListSmall.map((item, index) => {
                  return (
                    <tr>
                      <td className={style.adviceTableTdFst}>{item.name}</td>
                      {/* <td className={style.assistTableTdSec}></td> */}
                      <td className={style.assistTableTdTrd}>手术/操作</td>
                      <td className={style.assistTableTdSec}></td>
                      <td className={style.assistTableTdSec}>{item.value}</td>
                      <td className={style.assistTableTdFor}>{item.time}</td>
                    </tr>
                  )
                })
              }
              {
              labelListBlood && labelListBlood.map((item, index) => {
                  return (
                    <tr>
                      <td className={style.adviceTableTdFst}>{item.name}</td>
                      <td className={style.assistTableTdTrd}>输血</td>
                      <td className={style.assistTableTdSec}></td>
                      <td className={style.assistTableTdSec}>{item.value}</td>
                      <td className={style.assistTableTdFor}>{item.time}</td>
                    </tr>
                  )
                })
              }
            </table>
          </td>
        </tr>

    );
  }
}
 
export default MedicalAdvice;