import Mock from "mockjs";
Mock.setup({
    timeout: '500-1200'
});
// 查体
Mock.mock('/384',{
    "status": "OK",
    "startTime": 1528438340768,
    "endTime": 1528438340845,
    "version": "1.0",
    "msg": "操作成功",
    "data": [
        {
            "id": 384,
            "code": null,
            "name": "胆病检",
            "spell": "DBLJC",
            "fiveStroke": null,
            "orderNo": "19",
            "sysType": 1,
            "sexType": "3",
            "ageBegin": 0,
            "ageEnd": 200,
            "status": "1",
            "remark": null,
            "sample": "胆组织",
            "method": "快速冰冻法,快速石蜡切片法",
            "lisTypeId": "17",
            "standardId": 4991,
            "showInfor": null,
            "groupFlag": "0",
            "showDefault": "0",
            "hospitalCode": null,
            "doctorCode": null,
            "deptNo": null,
            "binType": null,
            "itemIds": null,
            "diseaseIds": null,
            "doctorId": null,
            "size": null,
            "inputstr": null,
            "detailCode": null,
            "notIds": null,
            "notIdsArr": null,
            "totalCount": 0,
            "totalFee": null,
            "age": null,
            "patientId": null,
            "type": null,
            "standardIds": null,
            "paramCode": "10004696",
            "subName": null,
            "subId": null,
            "showType": null,
            "groupDetail": [],
            "questionList": [
                {
                    "id": 1549,
                    "code": "Q1549",
                    "name": null,
                    "orderNo": "01",
                    "showType": "0",
                    "structName": "#back",
                    "type": "5",
                    "addLine": "0",
                    "require": "0",
                    "location": "0",
                    "status": "1",
                    "sync": null,
                    "remark": "检验-胆病理检查-正常/异常",
                    "elec": null,
                    "show": null,
                    "showDefault": null,
                    "questionContentList": [
                        {
                            "id": 2141,
                            "questionId": 1549,
                            "standardId": 7398,
                            "paramCode": "10006879",
                            "code": "question_2141",
                            "type": "16",
                            "require": null,
                            "hasDetail": "1",
                            "orderNo": "01",
                            "width": null,
                            "structName": "#back",
                            "coverage": "1",
                            "status": "1",
                            "remark": "检验-胆病理检查-正常/异常",
                            "labelPrefix": null,
                            "labelSuffix": null,
                            "addLine": "1",
                            "placeholder": null,
                            "minValue": null,
                            "maxValue": null,
                            "judgeType": "9",
                            "formulaCode": null,
                            "url": null,
                            "show": "1",
                            "standCode": null,
                            "contentDetailList": [
                                {
                                    "id": 2936,
                                    "standardId": 2225,
                                    "contentId": 2141,
                                    "code": null,
                                    "name": "正常",
                                    "orderNo": "01",
                                    "structName": "#desc",
                                    "coverage": "2",
                                    "relationId": "1439",
                                    "status": "1",
                                    "remark": "检验-胆病理检查-正常/异常",
                                    "show": "1",
                                    "selectType": "1",
                                    "defaultSelect": "0",
                                    "minValue": null,
                                    "maxValue": null,
                                    "judgeType": "1",
                                    "formulaCode": null,
                                    "showRelation": null,
                                    "paramCode": "10002135",
                                    "questionInfos": [
                                        {
                                            "id": 1439,
                                            "code": "Q1439",
                                            "name": null,
                                            "orderNo": "01",
                                            "showType": "0",
                                            "structName": "#back",
                                            "type": "5",
                                            "addLine": "0",
                                            "require": "0",
                                            "location": "0",
                                            "status": "1",
                                            "sync": null,
                                            "remark": "检验-病理检查(通用)-正常",
                                            "elec": null,
                                            "show": "1",
                                            "showDefault": "0",
                                            "questionContentList": [
                                                {
                                                    "id": 1991,
                                                    "questionId": 1439,
                                                    "standardId": 7411,
                                                    "paramCode": "10006889",
                                                    "code": "question_1991",
                                                    "type": "6",
                                                    "require": null,
                                                    "hasDetail": "0",
                                                    "orderNo": "01",
                                                    "width": null,
                                                    "structName": "#desc",
                                                    "coverage": "1",
                                                    "status": "1",
                                                    "remark": "检验-病理检查(通用)-正常",
                                                    "labelPrefix": null,
                                                    "labelSuffix": null,
                                                    "addLine": "1",
                                                    "placeholder": "正常描述",
                                                    "minValue": null,
                                                    "maxValue": null,
                                                    "judgeType": "1",
                                                    "formulaCode": null,
                                                    "url": null,
                                                    "show": "1",
                                                    "standCode": null,
                                                    "contentDetailList": []
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "id": 2937,
                                    "standardId": 2327,
                                    "contentId": 2141,
                                    "code": null,
                                    "name": "异常",
                                    "orderNo": "02",
                                    "structName": "[#desc]#back",
                                    "coverage": "1",
                                    "relationId": "1550",
                                    "status": "1",
                                    "remark": "检验-胆病理检查-正常/异常",
                                    "show": "1",
                                    "selectType": "1",
                                    "defaultSelect": "0",
                                    "minValue": null,
                                    "maxValue": null,
                                    "judgeType": "0",
                                    "formulaCode": null,
                                    "showRelation": null,
                                    "paramCode": "10002228",
                                    "questionInfos": [
                                        {
                                            "id": 1550,
                                            "code": "Q1550",
                                            "name": null,
                                            "orderNo": "01",
                                            "showType": "0",
                                            "structName": "#back",
                                            "type": "5",
                                            "addLine": "0",
                                            "require": "0",
                                            "location": "0",
                                            "status": "1",
                                            "sync": null,
                                            "remark": "检验-胆病理检查-异常",
                                            "elec": null,
                                            "show": "1",
                                            "showDefault": "0",
                                            "questionContentList": [
                                                {
                                                    "id": 2142,
                                                    "questionId": 1550,
                                                    "standardId": 2327,
                                                    "paramCode": "10002228",
                                                    "code": "question_2142",
                                                    "type": "12",
                                                    "require": null,
                                                    "hasDetail": "1",
                                                    "orderNo": "01",
                                                    "width": null,
                                                    "structName": "#back",
                                                    "coverage": "1",
                                                    "status": "1",
                                                    "remark": "检验-胆病理检查-异常",
                                                    "labelPrefix": null,
                                                    "labelSuffix": null,
                                                    "addLine": "0",
                                                    "placeholder": null,
                                                    "minValue": null,
                                                    "maxValue": null,
                                                    "judgeType": "0",
                                                    "formulaCode": null,
                                                    "url": null,
                                                    "show": "1",
                                                    "standCode": null,
                                                    "contentDetailList": [
                                                        {
                                                            "id": 2938,
                                                            "standardId": 2332,
                                                            "contentId": 2142,
                                                            "code": null,
                                                            "name": "炎症",
                                                            "orderNo": "01",
                                                            "structName": "#desc{(#back)}",
                                                            "coverage": "2",
                                                            "relationId": "1431",
                                                            "status": "1",
                                                            "remark": "检验-胆病理检查-异常",
                                                            "show": null,
                                                            "selectType": "1",
                                                            "defaultSelect": "0",
                                                            "minValue": null,
                                                            "maxValue": null,
                                                            "judgeType": "0",
                                                            "formulaCode": null,
                                                            "showRelation": null,
                                                            "paramCode": "10002232",
                                                            "questionInfos": [
                                                                {
                                                                    "id": 1431,
                                                                    "code": "Q1431",
                                                                    "name": null,
                                                                    "orderNo": "01",
                                                                    "showType": "0",
                                                                    "structName": "#back",
                                                                    "type": "5",
                                                                    "addLine": "0",
                                                                    "require": "0",
                                                                    "location": "0",
                                                                    "status": "1",
                                                                    "sync": null,
                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                    "elec": null,
                                                                    "show": "1",
                                                                    "showDefault": "0",
                                                                    "questionContentList": [
                                                                        {
                                                                            "id": 1971,
                                                                            "questionId": 1431,
                                                                            "standardId": 2332,
                                                                            "paramCode": "10002232",
                                                                            "code": "question_1971",
                                                                            "type": "12",
                                                                            "require": null,
                                                                            "hasDetail": "1",
                                                                            "orderNo": "01",
                                                                            "width": null,
                                                                            "structName": "#back",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-炎症",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "0",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": [
                                                                                {
                                                                                    "id": 2383,
                                                                                    "standardId": 7415,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "组织水肿",
                                                                                    "orderNo": "01",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006890",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2384,
                                                                                    "standardId": 7416,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "组织渗出",
                                                                                    "orderNo": "02",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006891",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2385,
                                                                                    "standardId": 7417,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "细胞变性",
                                                                                    "orderNo": "03",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006892",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2386,
                                                                                    "standardId": 7418,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "细胞坏死",
                                                                                    "orderNo": "04",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006893",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2387,
                                                                                    "standardId": 7419,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "细胞液化",
                                                                                    "orderNo": "05",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006894",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2402,
                                                                                    "standardId": 7433,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "组织钙化",
                                                                                    "orderNo": "06",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006906",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2403,
                                                                                    "standardId": 7434,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "组织化脓",
                                                                                    "orderNo": "07",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006907",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2520,
                                                                                    "standardId": 5015,
                                                                                    "contentId": 1971,
                                                                                    "code": null,
                                                                                    "name": "组织纤维化",
                                                                                    "orderNo": "08",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-炎症",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10004719",
                                                                                    "questionInfos": []
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "id": 1983,
                                                                            "questionId": 1431,
                                                                            "standardId": 6530,
                                                                            "paramCode": "10006194",
                                                                            "code": "question_1983",
                                                                            "type": "19",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "02",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-炎症-分隔符",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        },
                                                                        {
                                                                            "id": 1972,
                                                                            "questionId": 1431,
                                                                            "standardId": 7405,
                                                                            "paramCode": "10006883",
                                                                            "code": "question_1972",
                                                                            "type": "2",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "03",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-炎症-补充",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": "其他",
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "id": 2939,
                                                            "standardId": 394,
                                                            "contentId": 2142,
                                                            "code": null,
                                                            "name": "肿瘤",
                                                            "orderNo": "02",
                                                            "structName": "#desc{(#back)}",
                                                            "coverage": "2",
                                                            "relationId": "1432",
                                                            "status": "1",
                                                            "remark": "检验-胆病理检查-异常",
                                                            "show": null,
                                                            "selectType": "1",
                                                            "defaultSelect": "0",
                                                            "minValue": null,
                                                            "maxValue": null,
                                                            "judgeType": "0",
                                                            "formulaCode": null,
                                                            "showRelation": null,
                                                            "paramCode": "10000388",
                                                            "questionInfos": [
                                                                {
                                                                    "id": 1432,
                                                                    "code": "Q1432",
                                                                    "name": null,
                                                                    "orderNo": "01",
                                                                    "showType": "0",
                                                                    "structName": "#back",
                                                                    "type": "5",
                                                                    "addLine": "0",
                                                                    "require": "0",
                                                                    "location": "0",
                                                                    "status": "1",
                                                                    "sync": null,
                                                                    "remark": "检验-病理检查(通用)-肿瘤",
                                                                    "elec": null,
                                                                    "show": "1",
                                                                    "showDefault": "0",
                                                                    "questionContentList": [
                                                                        {
                                                                            "id": 1973,
                                                                            "questionId": 1432,
                                                                            "standardId": 394,
                                                                            "paramCode": "10000388",
                                                                            "code": "question_1973",
                                                                            "type": "11",
                                                                            "require": null,
                                                                            "hasDetail": "1",
                                                                            "orderNo": "01",
                                                                            "width": null,
                                                                            "structName": "#back",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-肿瘤",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "0",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": [
                                                                                {
                                                                                    "id": 2388,
                                                                                    "standardId": 7420,
                                                                                    "contentId": 1973,
                                                                                    "code": null,
                                                                                    "name": "良性",
                                                                                    "orderNo": "01",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-肿瘤",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006895",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 3130,
                                                                                    "standardId": 7619,
                                                                                    "contentId": 1973,
                                                                                    "code": null,
                                                                                    "name": "癌",
                                                                                    "orderNo": "02",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-肿瘤",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10007078",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 3131,
                                                                                    "standardId": 7620,
                                                                                    "contentId": 1973,
                                                                                    "code": null,
                                                                                    "name": "肉瘤",
                                                                                    "orderNo": "03",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-肿瘤",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10007079",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 3132,
                                                                                    "standardId": 7621,
                                                                                    "contentId": 1973,
                                                                                    "code": null,
                                                                                    "name": "癌肉瘤",
                                                                                    "orderNo": "06",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-肿瘤",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10007080",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 3133,
                                                                                    "standardId": 4901,
                                                                                    "contentId": 1973,
                                                                                    "code": null,
                                                                                    "name": "其他",
                                                                                    "orderNo": "09",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-肿瘤",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10004615",
                                                                                    "questionInfos": []
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "id": 1984,
                                                                            "questionId": 1432,
                                                                            "standardId": 6530,
                                                                            "paramCode": "10006194",
                                                                            "code": "question_1984",
                                                                            "type": "19",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "02",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-肿瘤-分隔符",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        },
                                                                        {
                                                                            "id": 1974,
                                                                            "questionId": 1432,
                                                                            "standardId": 7406,
                                                                            "paramCode": "10006884",
                                                                            "code": "question_1974",
                                                                            "type": "2",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "03",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-肿瘤-补充",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": "其他",
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "id": 2940,
                                                            "standardId": 7401,
                                                            "contentId": 2142,
                                                            "code": null,
                                                            "name": "破损",
                                                            "orderNo": "03",
                                                            "structName": "#desc{(#back)}",
                                                            "coverage": "2",
                                                            "relationId": "1433",
                                                            "status": "1",
                                                            "remark": "检验-胆病理检查-异常",
                                                            "show": null,
                                                            "selectType": "1",
                                                            "defaultSelect": "0",
                                                            "minValue": null,
                                                            "maxValue": null,
                                                            "judgeType": "0",
                                                            "formulaCode": null,
                                                            "showRelation": null,
                                                            "paramCode": "10006880",
                                                            "questionInfos": [
                                                                {
                                                                    "id": 1433,
                                                                    "code": "Q1433",
                                                                    "name": null,
                                                                    "orderNo": "01",
                                                                    "showType": "0",
                                                                    "structName": "#back",
                                                                    "type": "5",
                                                                    "addLine": "0",
                                                                    "require": "0",
                                                                    "location": "0",
                                                                    "status": "1",
                                                                    "sync": null,
                                                                    "remark": "检验-病理检查(通用)-损伤",
                                                                    "elec": null,
                                                                    "show": "1",
                                                                    "showDefault": "0",
                                                                    "questionContentList": [
                                                                        {
                                                                            "id": 1975,
                                                                            "questionId": 1433,
                                                                            "standardId": 7401,
                                                                            "paramCode": "10006880",
                                                                            "code": "question_1975",
                                                                            "type": "12",
                                                                            "require": null,
                                                                            "hasDetail": "1",
                                                                            "orderNo": "01",
                                                                            "width": null,
                                                                            "structName": "#back",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-损伤",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "0",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": [
                                                                                {
                                                                                    "id": 2390,
                                                                                    "standardId": 2635,
                                                                                    "contentId": 1975,
                                                                                    "code": null,
                                                                                    "name": "裂伤",
                                                                                    "orderNo": "01",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-破损",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10002511",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2391,
                                                                                    "standardId": 2350,
                                                                                    "contentId": 1975,
                                                                                    "code": null,
                                                                                    "name": "出血",
                                                                                    "orderNo": "02",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-破损",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10002250",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2510,
                                                                                    "standardId": 2276,
                                                                                    "contentId": 1975,
                                                                                    "code": null,
                                                                                    "name": "溃疡",
                                                                                    "orderNo": "03",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-破损",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": null,
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2511,
                                                                                    "standardId": 2341,
                                                                                    "contentId": 1975,
                                                                                    "code": null,
                                                                                    "name": "穿孔",
                                                                                    "orderNo": "04",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-破损",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10002241",
                                                                                    "questionInfos": []
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "id": 1985,
                                                                            "questionId": 1433,
                                                                            "standardId": 6530,
                                                                            "paramCode": "10006194",
                                                                            "code": "question_1985",
                                                                            "type": "19",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "02",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-损伤-分隔符",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        },
                                                                        {
                                                                            "id": 1976,
                                                                            "questionId": 1433,
                                                                            "standardId": 7407,
                                                                            "paramCode": "10006885",
                                                                            "code": "question_1976",
                                                                            "type": "2",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "03",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-损伤-补充",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": "其他",
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "id": 2941,
                                                            "standardId": 2526,
                                                            "contentId": 2142,
                                                            "code": null,
                                                            "name": "萎缩",
                                                            "orderNo": "04",
                                                            "structName": "#desc{(#back)}",
                                                            "coverage": "2",
                                                            "relationId": "1434",
                                                            "status": "1",
                                                            "remark": "检验-胆病理检查-异常",
                                                            "show": null,
                                                            "selectType": "1",
                                                            "defaultSelect": "0",
                                                            "minValue": null,
                                                            "maxValue": null,
                                                            "judgeType": "0",
                                                            "formulaCode": null,
                                                            "showRelation": null,
                                                            "paramCode": "10002415",
                                                            "questionInfos": [
                                                                {
                                                                    "id": 1434,
                                                                    "code": "Q1434",
                                                                    "name": null,
                                                                    "orderNo": "01",
                                                                    "showType": "0",
                                                                    "structName": "#back",
                                                                    "type": "5",
                                                                    "addLine": "0",
                                                                    "require": "0",
                                                                    "location": "0",
                                                                    "status": "1",
                                                                    "sync": null,
                                                                    "remark": "检验-病理检查(通用)-萎缩",
                                                                    "elec": null,
                                                                    "show": "1",
                                                                    "showDefault": "0",
                                                                    "questionContentList": [
                                                                        {
                                                                            "id": 1977,
                                                                            "questionId": 1434,
                                                                            "standardId": 2526,
                                                                            "paramCode": "10002415",
                                                                            "code": "question_1977",
                                                                            "type": "12",
                                                                            "require": null,
                                                                            "hasDetail": "1",
                                                                            "orderNo": "01",
                                                                            "width": null,
                                                                            "structName": "#back",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-萎缩",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "0",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": [
                                                                                {
                                                                                    "id": 2392,
                                                                                    "standardId": 7424,
                                                                                    "contentId": 1977,
                                                                                    "code": null,
                                                                                    "name": "细胞缩小",
                                                                                    "orderNo": "01",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-萎缩",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006897",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2394,
                                                                                    "standardId": 7426,
                                                                                    "contentId": 1977,
                                                                                    "code": null,
                                                                                    "name": "细胞减少",
                                                                                    "orderNo": "03",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-萎缩",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006899",
                                                                                    "questionInfos": []
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "id": 1986,
                                                                            "questionId": 1434,
                                                                            "standardId": 6530,
                                                                            "paramCode": "10006194",
                                                                            "code": "question_1986",
                                                                            "type": "19",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "02",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-萎缩-分隔符",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        },
                                                                        {
                                                                            "id": 1978,
                                                                            "questionId": 1434,
                                                                            "standardId": 7408,
                                                                            "paramCode": "10006886",
                                                                            "code": "question_1978",
                                                                            "type": "2",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "03",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-萎缩-补充",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": "其他",
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "id": 2942,
                                                            "standardId": 7404,
                                                            "contentId": 2142,
                                                            "code": null,
                                                            "name": "血管异常",
                                                            "orderNo": "05",
                                                            "structName": "#desc{(#back)}",
                                                            "coverage": "2",
                                                            "relationId": "1435",
                                                            "status": "1",
                                                            "remark": "检验-胆病理检查-异常",
                                                            "show": null,
                                                            "selectType": "1",
                                                            "defaultSelect": "0",
                                                            "minValue": null,
                                                            "maxValue": null,
                                                            "judgeType": "0",
                                                            "formulaCode": null,
                                                            "showRelation": null,
                                                            "paramCode": "10006882",
                                                            "questionInfos": [
                                                                {
                                                                    "id": 1435,
                                                                    "code": "Q1435",
                                                                    "name": null,
                                                                    "orderNo": "01",
                                                                    "showType": "0",
                                                                    "structName": "#back",
                                                                    "type": "5",
                                                                    "addLine": "0",
                                                                    "require": "0",
                                                                    "location": "0",
                                                                    "status": "1",
                                                                    "sync": null,
                                                                    "remark": "检验-病理检查(通用)-血管异常",
                                                                    "elec": null,
                                                                    "show": "1",
                                                                    "showDefault": "0",
                                                                    "questionContentList": [
                                                                        {
                                                                            "id": 1979,
                                                                            "questionId": 1435,
                                                                            "standardId": 7404,
                                                                            "paramCode": "10006882",
                                                                            "code": "question_1979",
                                                                            "type": "12",
                                                                            "require": null,
                                                                            "hasDetail": "1",
                                                                            "orderNo": "01",
                                                                            "width": null,
                                                                            "structName": "#back",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-血管异常",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "0",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": [
                                                                                {
                                                                                    "id": 2395,
                                                                                    "standardId": 7427,
                                                                                    "contentId": 1979,
                                                                                    "code": null,
                                                                                    "name": "淤血",
                                                                                    "orderNo": "01",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-血管异常",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006900",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2396,
                                                                                    "standardId": 7428,
                                                                                    "contentId": 1979,
                                                                                    "code": null,
                                                                                    "name": "血栓",
                                                                                    "orderNo": "02",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-血管异常",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006901",
                                                                                    "questionInfos": []
                                                                                },
                                                                                {
                                                                                    "id": 2397,
                                                                                    "standardId": 7429,
                                                                                    "contentId": 1979,
                                                                                    "code": null,
                                                                                    "name": "梗阻",
                                                                                    "orderNo": "03",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-病理检查(通用)-血管异常",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006902",
                                                                                    "questionInfos": []
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "id": 1988,
                                                                            "questionId": 1435,
                                                                            "standardId": 6530,
                                                                            "paramCode": "10006194",
                                                                            "code": "question_1988",
                                                                            "type": "19",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "02",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-血管异常-分隔符",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        },
                                                                        {
                                                                            "id": 1980,
                                                                            "questionId": 1435,
                                                                            "standardId": 7410,
                                                                            "paramCode": "10006888",
                                                                            "code": "question_1980",
                                                                            "type": "2",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "03",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-病理检查(通用)-血管异常-补充",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": "其他",
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "id": 2943,
                                                            "standardId": 7403,
                                                            "contentId": 2142,
                                                            "code": null,
                                                            "name": "异常成分",
                                                            "orderNo": "06",
                                                            "structName": "#desc{(#back)}",
                                                            "coverage": "2",
                                                            "relationId": "1551",
                                                            "status": "1",
                                                            "remark": "检验-胆病理检查-异常",
                                                            "show": null,
                                                            "selectType": "1",
                                                            "defaultSelect": "0",
                                                            "minValue": null,
                                                            "maxValue": null,
                                                            "judgeType": "0",
                                                            "formulaCode": null,
                                                            "showRelation": null,
                                                            "paramCode": "10006881",
                                                            "questionInfos": [
                                                                {
                                                                    "id": 1551,
                                                                    "code": "Q1551",
                                                                    "name": null,
                                                                    "orderNo": "01",
                                                                    "showType": "0",
                                                                    "structName": "#back",
                                                                    "type": "5",
                                                                    "addLine": "0",
                                                                    "require": "0",
                                                                    "location": "0",
                                                                    "status": "1",
                                                                    "sync": null,
                                                                    "remark": "检验-胆病理检查-异常成分",
                                                                    "elec": null,
                                                                    "show": "1",
                                                                    "showDefault": "0",
                                                                    "questionContentList": [
                                                                        {
                                                                            "id": 2145,
                                                                            "questionId": 1551,
                                                                            "standardId": 7403,
                                                                            "paramCode": "10006881",
                                                                            "code": "question_2145",
                                                                            "type": "12",
                                                                            "require": null,
                                                                            "hasDetail": "1",
                                                                            "orderNo": "01",
                                                                            "width": null,
                                                                            "structName": "#back",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-胆病理检查-异常成分",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "0",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": [
                                                                                {
                                                                                    "id": 2944,
                                                                                    "standardId": 6753,
                                                                                    "contentId": 2145,
                                                                                    "code": null,
                                                                                    "name": "结石",
                                                                                    "orderNo": "01",
                                                                                    "structName": "#desc",
                                                                                    "coverage": "2",
                                                                                    "relationId": null,
                                                                                    "status": "1",
                                                                                    "remark": "检验-胆病理检查-异常成分",
                                                                                    "show": null,
                                                                                    "selectType": "1",
                                                                                    "defaultSelect": "0",
                                                                                    "minValue": null,
                                                                                    "maxValue": null,
                                                                                    "judgeType": "0",
                                                                                    "formulaCode": null,
                                                                                    "showRelation": null,
                                                                                    "paramCode": "10006293",
                                                                                    "questionInfos": []
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "id": 2147,
                                                                            "questionId": 1551,
                                                                            "standardId": 6530,
                                                                            "paramCode": "10006194",
                                                                            "code": "question_2147",
                                                                            "type": "19",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "02",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-胆病理检查-异常成分-分隔符",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "1",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        },
                                                                        {
                                                                            "id": 2146,
                                                                            "questionId": 1551,
                                                                            "standardId": 7409,
                                                                            "paramCode": "10006887",
                                                                            "code": "question_2146",
                                                                            "type": "2",
                                                                            "require": null,
                                                                            "hasDetail": "0",
                                                                            "orderNo": "03",
                                                                            "width": null,
                                                                            "structName": "#desc",
                                                                            "coverage": "1",
                                                                            "status": "1",
                                                                            "remark": "检验-胆病理检查-异常成分-补充",
                                                                            "labelPrefix": null,
                                                                            "labelSuffix": null,
                                                                            "addLine": "0",
                                                                            "placeholder": null,
                                                                            "minValue": null,
                                                                            "maxValue": null,
                                                                            "judgeType": "9",
                                                                            "formulaCode": null,
                                                                            "url": null,
                                                                            "show": "0",
                                                                            "standCode": null,
                                                                            "contentDetailList": []
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        }
                                                    ]
                                                },
                                                {
                                                    "id": 2144,
                                                    "questionId": 1550,
                                                    "standardId": 4870,
                                                    "paramCode": "10004587",
                                                    "code": "question_2144",
                                                    "type": "6",
                                                    "require": null,
                                                    "hasDetail": "0",
                                                    "orderNo": "03",
                                                    "width": null,
                                                    "structName": "#desc",
                                                    "coverage": "1",
                                                    "status": "1",
                                                    "remark": "检验-胆病理检查-异常-补充",
                                                    "labelPrefix": null,
                                                    "labelSuffix": null,
                                                    "addLine": "0",
                                                    "placeholder": null,
                                                    "minValue": null,
                                                    "maxValue": null,
                                                    "judgeType": "9",
                                                    "formulaCode": null,
                                                    "url": null,
                                                    "show": "0",
                                                    "standCode": null,
                                                    "contentDetailList": []
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "lisDetails": []
        }
    ],
    "ret": 0,
    "token": null,
    "timeConsum": 77
});