import {
    DEL_ITEMS,
    INIT_ITEMS,
    TAB_CHANGE,
    CKECK_ITEMS,
    BATCH_DEL_ITEMS,
    ALL_CHECKED,
    CHANGE_TITLE,
    CHANGE_VISIBLE,
    SHOW_MESSAGE,
    KEEP_PUSH_DATA,
    ALL_CHECKED_SHOW,
    GET_DPT_LIS,
    INIT_ADMIN_ITEMS,
    ALL_CHECKED_ADMIN,
    ALL_CHECKED_SHOW_ADMIN,
    CKECK_ITEMS_ADMIN,
    DEL_ITEMS_ADMIN,
    BATCH_DEL_ITEMS_ADMIN,
    CHANGE_TITLE_ADMIN,
    WHICH_TEMP,
    FLODER_SLIDE,
    FLODER_ACTION,
    FOLDER_LIST_ADMIN,
    FOLDER_MODAL,
    FOLDER_ORDER_SHOW,
    NORMS_TEMPLATE_SEARCH,
    CLEAR_NORMS_TEMPLATE_SEARCH
} from '@store/types/tabTemplate';
export const clearSearchTemplateNorms = () => ({ //清除模板文件夹搜索
    type: CLEAR_NORMS_TEMPLATE_SEARCH
});
export const setSearchTemplateNorms = (templateNormsSearchList) => ({
    type: NORMS_TEMPLATE_SEARCH,
    templateNormsSearchList
});
export const folderOrder = (show) => ({ //文件夹展开
    type: FOLDER_ORDER_SHOW,
    show
});
export const folderModal = (show) => ({ //文件夹展开
    type: FOLDER_MODAL,
    show
});
export const floderListAdmin = (data) => ({ //文件夹展开
    type: FOLDER_LIST_ADMIN,
    data
});
export const floderAction = (id) => ({ //文件夹展开
    type: FLODER_ACTION,
    id
});
export const floderSlide = (id) => ({ //文件夹展开
    type: FLODER_SLIDE,
    id
});
export const whichTemp = (tab) => ({ //模板tab切换
    type: WHICH_TEMP,
    tab
});
export const delItems = (id) => ({ //删除模板
    type: DEL_ITEMS,
    id
});
export const delItemsAdmin = (id,folderId) => ({ //删除模板
    type: DEL_ITEMS_ADMIN,
    id,
    folderId
});
export const tabChange = (idx) => ({ //tab切换
    type: TAB_CHANGE,
    idx
});
export const initItems = (state) => ({ //数据初始化
    type: INIT_ITEMS,
    state
});
export const initAdminItems = (state) => ({ //数据初始化
    type: INIT_ADMIN_ITEMS,
    state
});
export const checkItems = (id) => ({ //选中的模板
    type: CKECK_ITEMS,
    id
});
export const checkItemsAdmin = (id,folderId) => ({ //选中的模板
    type: CKECK_ITEMS_ADMIN,
    id,
    folderId
});
export const batchDelItems = (ids) => ({ //删除选中的模板
    type: BATCH_DEL_ITEMS,
    ids
});
export const batchDelItemsAdmin = (ids) => ({ //删除选中的模板
    type: BATCH_DEL_ITEMS_ADMIN,
    ids
});
export const allChecked = (bool, flg) => ({ //全选反选
    type: ALL_CHECKED,
    bool
});
export const allCheckedAdmin = (bool, flg) => ({ //全选反选
    type: ALL_CHECKED_ADMIN,
    bool
});
export const changeTitle = (obj) => ({ 
    type: CHANGE_TITLE,
    obj
});
export const changeTitleAdmin = (obj) => ({ 
    type: CHANGE_TITLE_ADMIN,
    obj
});
export const changeVisible = (bool) => ({ //弹窗
    type: CHANGE_VISIBLE,
    bool
});
export const keepPushData = (data,flg) => ({ //引用的数据
    type: KEEP_PUSH_DATA,
    data,
    flg
});
export const showMsg = (bool) => ({ //tip提示
    type: SHOW_MESSAGE,
    bool
});
export const allCheckedShow = (bool) => ({ 
    type: ALL_CHECKED_SHOW,
    bool
});
export const allCheckedShowAdmin = (bool) => ({ 
    type: ALL_CHECKED_SHOW_ADMIN,
    bool
});
export const getDptLis = (list) => ({ 
    type: GET_DPT_LIS,
    list
});